%define upstream_name    Log-Report-Optional
%define upstream_version 1.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Administer one text-domain
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(String::Print) >= 0.910.0
BuildRequires: perl(Test::More) >= 0.860.0
BuildArch:  noarch

%description
This module collects a few functions and definitions which are shared
between different components in the Log::Report infrastructure. They should
not be needed for end-user applications, although this man-page may contain
some useful background information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.70.0-3.mga10
+ Revision: 2206786
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.70.0-2.mga9
+ Revision: 1813972
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 tv <tv> 1.70.0-1.mga9
+ Revision: 1690279
- update to 1.07

* Wed Feb 12 2020 umeabot <umeabot> 1.60.0-3.mga8
+ Revision: 1504999
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.60.0-2.mga7
+ Revision: 1284522
- Mageia 7 Mass Rebuild

* Sun Feb 25 2018 shlomif <shlomif> 1.60.0-1.mga7
+ Revision: 1204940
- update to 1.06

* Sun Jan 28 2018 shlomif <shlomif> 1.50.0-1.mga7
+ Revision: 1197640
- update to 1.05

* Sun Dec 10 2017 shlomif <shlomif> 1.40.0-1.mga7
+ Revision: 1182051
- update to 1.04

* Tue Oct 03 2017 tv <tv> 1.30.0-2.mga7
+ Revision: 1165277
- rebuild with fixed rpm for missing autodeps

* Sun Sep 24 2017 sander85 <sander85> 1.30.0-1.mga7
+ Revision: 1158496
- update to 1.03

* Sun Jun 19 2016 pterjan <pterjan> 1.20.0-2.mga6
+ Revision: 1029435
- Rebuild for perl 5.22.2

* Wed Feb 10 2016 shlomif <shlomif> 1.20.0-1.mga6
+ Revision: 953226
- update to 1.02

* Fri Feb 05 2016 umeabot <umeabot> 1.10.0-4.mga6
+ Revision: 936555
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-3.mga5
+ Revision: 748951
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-2.mga5
+ Revision: 685273
- Mageia 5 Mass Rebuild

* Thu Mar 13 2014 jquelin <jquelin> 1.10.0-1.mga5
+ Revision: 602929
- update to 1.01

* Wed Feb 05 2014 shlomif <shlomif> 1.0.0-1.mga5
+ Revision: 583291
- imported package perl-Log-Report-Optional


* Wed Feb 05 2014 cpan2dist 1.00-1mga
- initial mageia release, generated with cpan2dist
